Subject: bug#11566: 24.0.97; `read-from-minibuffer': focus to standalone minibuffer frame?

From: "Drew Adams" <[email-masked]>
Date: Tue, 29 May 2012 12:15:51 -0700

> > In something like `select-frame-set-input-focus', my 
> > interpretation was that frame selection was related to the
> > border highlighting and setting input focus
> > was related to receiving keyboard input.  AFAIK, 
> > `select-frame' does the former, but `select-frame-set-input-focus'
> > is needed to get the latter.
> 
> On Windows, at least with the default setup, selecting a frame also
> grabs focus.  So these two functions do the same.

No, definitely not with my (non-default) setup.  Selecting a frame does not give
it the input focus.

Hence my need to call `select-frame-set-input-focus' in a few places.  And, I
would guess, hence the existence of two different functions: `select-frame' and
`s-f-s-i-f'.

I'm no expert on any of this, obviously.  I added `s-f-s-i-f' long ago where I
found I needed it - `select-frame' was not sufficient.

> > So IIUC, `select-frame-set-input-focus' does `select-frame' plus
> > `redirect-frame-focus'?
> 
> No, it just raises the frame after selecting it and makes sure it has
> focus (which in most situations it will have by virtue of being
> raised).

But see above.